// ZenLib::FileB - standart files functions
// Copyright (C) 2002-2003 Jrme Martinez, Zen@MediaArea.net
//
// This software is provided 'as-is', without any express or implied
// warranty.  In no event will the authors be held liable for any damages
// arising from the use of this software.
//
// Permission is granted to anyone to use this software for any purpose,
// including commercial applications, and to alter it and redistribute it
// freely, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must not
//    claim that you wrote the original software. If you use this software
//    in a product, an acknowledgment in the product documentation would be
//    appreciated but is not required.
// 2. Altered source versions must be plainly marked as such, and must not be
//    misrepresented as being the original software.
// 3. This notice may not be removed or altered from any source distribution.
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// File
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//
// Version 0.0.1
// -------------
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// TODO :


//---------------------------------------------------------------------------
#ifndef FileTH
#define FileTH
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
#include <ZenLib/File_.h>
#include <stdio.h>
//---------------------------------------------------------------------------

namespace ZenLib
{

//***************************************************************************
// Classe CFichier_Texte
//***************************************************************************

class FileT : public File_
{
public :
    //Gestion de la classe
    FileT ();
    ~FileT ();

    //Ouverture/fermeture
    int Ouvrir (const Ztring &Fichier, bool Nouveau=false, bool Ajout=false, bool Ecriture=false);
    void Fermer ();

    //Gestion texte
    Ztring Lire ();
    void Ecrire (const Ztring &Ligne);

    //Divers
    bool Eof(); //Fin de fichier

protected :
    FILE* F;
    bool End;
    Ztring Nom;
};

} //Namespace

#endif
